Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Class CopyIntoProjectOption

    java.lang.Object
      com.ibm.workplace.wcm.api.CopyIntoProjectOption

All Implemented Interfaces:
  CopyOption

    public class CopyIntoProjectOption

extends java.lang.Object
implements CopyOption

This `CopyIntoProjectOption` is used copy the item into a given project. If this option is used with `RecursiveCopyOption`, the entire tree will be copied into the project.

Since:
  8.0.0.1

Constructor Summary
`CopyIntoProjectOption(java.lang.String projectUuid)` Constructor.

Method Summary
`java.lang.String` | `getProjectUuid()`
`java.lang.Boolean` | `runWorkflowActions()` Whether workflow actions defined on the first stage of the copied items workflow will be run on copy or not.
`CopyIntoProjectOption` | `setRunWorkflowActions(boolean runActions)` Flag whether workflow actions defined on the first stage of the copied items workflow will be run on copy or not.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CopyIntoProjectOption

    public CopyIntoProjectOption(java.lang.String projectUuid)

  Constructor.

  Parameters:
    `projectUuid` - the project UUID to which the item has to be copied into.

Method Detail

### getProjectUuid

    public java.lang.String getProjectUuid()

  Returns:
    the project UUID to which the item has to be copied.

### setRunWorkflowActions

    public CopyIntoProjectOption setRunWorkflowActions(boolean runActions)

  Flag whether workflow actions defined on the first stage of the copied items workflow will be run on copy or not.

  This will apply to all items copied in this operation.

  Parameters:
    `runActions` - boolean true will run the actions when the items are copied.
  Returns:
    this copy option
  Since:
    8.5CF4

### runWorkflowActions

    public java.lang.Boolean runWorkflowActions()

  Whether workflow actions defined on the first stage of the copied items workflow will be run on copy or not. Default to actions not being run (false).

  Returns:
    boolean false if actions should not be run or true to invoke actions defined in the items first workflow stage
  Since:
    8.5CF4

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD